libconfig-simple-perl_4.59-6_all.deb


Advertisement

Description

libconfig-simple-perl - simple configuration file class

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libconfig-simple-perl
Package version: 4.59
Package release: 6
Package architecture: all
Package type: deb
Installed size: 116 B
Download size: 30.47 KB
Official Mirror: ftp.br.debian.org
Reading and writing configuration files is one of the most frequent aspects of any software design. Config::Simple is the library to help you with it. Config::Simple is a class representing configuration file object. It supports several configuration file syntax and tries to identify the file syntax to parse them accordingly. Library supports parsing, updating and creating configuration files.

Alternatives

Requires

    Download

    Source package: libconfig-simple-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libconfig-simple-perl deb package:
      # sudo apt-get install libconfig-simple-perl

    Files

    • /usr/share/doc/libconfig-simple-perl/changelog.Debian.gz
    • /usr/share/doc/libconfig-simple-perl/changelog.gz
    • /usr/share/doc/libconfig-simple-perl/copyright
    • /usr/share/man/man3/Config::Simple.3pm.gz
    • /usr/share/perl5/Config/Simple.pm
    • /usr/share/perl5/auto/Config/Simple/CLEAR.al
    • /usr/share/perl5/auto/Config/Simple/DELETE.al
    • /usr/share/perl5/auto/Config/Simple/EXISTS.al
    • /usr/share/perl5/auto/Config/Simple/FETCH.al
    • /usr/share/perl5/auto/Config/Simple/FIRSTKEY.al
    • /usr/share/perl5/auto/Config/Simple/NEXTKEY.al
    • /usr/share/perl5/auto/Config/Simple/STORE.al
    • /usr/share/perl5/auto/Config/Simple/TIEHASH.al
    • /usr/share/perl5/auto/Config/Simple/autosplit.ix
    • /usr/share/perl5/auto/Config/Simple/block.al
    • /usr/share/perl5/auto/Config/Simple/dump.al
    • /usr/share/perl5/auto/Config/Simple/error.al
    • /usr/share/perl5/auto/Config/Simple/errstr.al
    • /usr/share/perl5/auto/Config/Simple/hashref.al
    • /usr/share/perl5/auto/Config/Simple/import_from.al
    • /usr/share/perl5/auto/Config/Simple/import_names.al
    • /usr/share/perl5/auto/Config/Simple/param_hash.al
    • /usr/share/perl5/auto/Config/Simple/vars.al
    • /usr/share/perl5/auto/Config/Simple/verbose.al
    • /usr/share/perl5/auto/Config/Simple/write_string.al

    Changelog

    2012-06-05 - gregor herrmann <gregoa@debian.org> libconfig-simple-perl (4.59-6) unstable; urgency=low * Move to the Debian Perl Group on maintainer's request. * debian/control: Added: Vcs-Git field (source stanza). Removed: Vcs- Svn field (source stanza). Changed: Maintainer set to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org> (was: tony mancill <tmancill@debian.org>); tony mancill <tmancill@debian.org> moved to Uploaders; Vcs-Browser (source stanza). * debian/copyright: Replace DEP5 Format-Specification URL from svn.debian.org to anonscm.debian.org URL. * Update patch headers. * debian/copyright: update to Copyright-Format 1.0. * Update years of packaging copyright, refresh license stanzas. * Bump Standards-Version to 3.9.3 (no changes). * Set debhelper compatibility level to 8.

    2010-08-16 - gregor herrmann <gregoa@debian.org> libconfig-simple-perl (4.59-5) unstable; urgency=low * Replace empty_value.patch (which broke at least publican) with empty_string.patch, provided by Raphaël Hertzog - thanks! Closes: #593043.

    2010-08-05 - tony mancill <tmancill@debian.org> libconfig-simple-perl (4.59-4) unstable; urgency=low [ gregor herrmann ] * Add patch non_word_chars.patch to make the ini-parser work with non "word" characters; thanks to Stefan Denker for the bug report (closes: #546534). * Change debhelper compatibility level to 7, adjust debian/{rules,compat,control}, add ${misc:Depends} to Depends. * Don't install README anymore, just a text version of the POD documentation. * Remove version from perl build dependency, fulfilled even in oldstable. * Change my email address. * debian/watch: use extended regexp for matching upstream releases. * debian/copyright: add information about packaging. * Convert to source format 3.0 (quilt). Remove quilt framework. * debian/copyright: update formatting (DEP5) and years of packaging copyright. * Set Standards-Version to 3.9.1 (no changes). [ tony mancill ] * debian/control: Update Vcs-Browser link.

    2008-01-22 - gregor herrmann <gregor+debian@comodo.priv.at> libconfig-simple-perl (4.59-3) unstable; urgency=low * Add Homepage field to debian/control. * Change XS-Vcs-* fields to Vcs-*. * Change URL in debian/watch. * Set Standards-Version to 3.7.3 (no changes needed). * debian/rules: - move tests to build target - use DESTDIR and PREFIX on make install - remove some commented out and unsused dh_* calls - create install-stamp target - remove OPTIMIZE variable, we don't compile anything - remove DESTDIR for installing the package - use $(CURDIR) instead of `pwd` * Change debian/copyright to the new machine-readable format. * Remove /usr/lib/perl5 only if it exists; prevents a FTBFS under perl 5.10. * Set debhelper compatibility level to 6.

    2007-08-13 - gregor herrmann <gregor+debian@comodo.priv.at> libconfig-simple-perl (4.59-2) unstable; urgency=low * Add XS-Vcs-Svn and XS-Vcs-Browser fields to debian/control. * Set debhelper compatibility level to 5. * Don't ignore errors of ($MAKE) realclean) in debian/rules. * Remove empty /usr/lib/perl5 directory from binary package. * Enable tests in debian/rules. * Fix watch file. * Add myself to Uploaders.

    2007-06-11 - tony mancill <tmancill@debian.org> libconfig-simple-perl (4.59-1) unstable; urgency=low * New upstream release

    2007-06-11 - tony mancill <tmancill@debian.org> libconfig-simple-perl (4.58-2) unstable; urgency=low * bump standards version to 3.7.2 * fix build-depends

    2005-04-16 - tony mancill <tmancill@debian.org> libconfig-simple-perl (4.58-1) unstable; urgency=low * new upstream release - bug-fix for comment lines with leading spaces * added debian/watch

    2005-02-05 - tony mancill <tmancill@debian.org> libconfig-simple-perl (4.57-1) unstable; urgency=low * new upstream release * import_from now closes config file after reading (closes: #293735) (thanks to Anthony DeRobertis)

    Advertisement
    Advertisement